Ruby - Feature #13508

How remove/refactor code related mathn library.

04/25/2017 07:23 AM - hsbt (Hiroshi SHIBATA)

Status: Assigned
Priority: Normal
Assignee: hsbt (Hiroshi SHIBATA)

Target version:

Description
| removed mathn library at r58413 and r58432.

| have some concerns related mathn library. This issue is reminder for this concern.

1. Still remains conditions for mathn loaded. ex. hitps://github.com/ruby/ruby/blob/trunk/array.c#L5755

2. {complex,rational}.c have {nucomp,nurat}_canonicalization methods for mathn.
3. lib/cmath.rb have workaround code for mathn see. https://github.com/ruby/ruby/blob/trunk/lib/cmath.rb#L 27

| continue to discuss concerns to @mrkn (Kenta Murata)

History

#1 - 04/28/2017 01:45 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

#2 - 12/13/2017 06:47 AM - hsbt (Hiroshi SHIBATA)

- Target version changed from 2.5 to 2.6

| gave up to apply at Ruby 2.5. | try this next year.

#3 - 12/25/2017 06:15 PM - naruse (Yui NARUSE)
- Target version deleted (2.6)
